! Descrip.MMS to build all of Mosaic 2.0
! Bjorn S. Nilsson, Aleph, CERN, 22-Nov-1993
!
! Usage:
!        $ MMS/MACRO=(macro_list)
!
! This DESCRIP.MMS understands the following macros:
!  MULTINET=1              Use MULTINET (default is UCX)
!  DEBUG=1                 Make a debug executable
!  AXP=1                   AXP platform (default is VAX)
!  PATHWAY=1               Use PathWay as TCP transport. (PathWay is
!                          Wollongong)
!
!  IF you want to build for an AXP environment, and use an alternative
!  TCP stack you should MMS/MACRO=(AXP=1,PATHWAY=1) or
!  MMS/MACRO=(AXP=1,MULTINET=1)... Larry has tested this with PathWay.
!
! You should also check the DESCRIP.MMS files in the subdirectories. There
! are some hard-coded options.
!


default : libwww2 libXmx libhtmlw src
	@ Write SYS$Output "The executable is in [.src]Mosaic.exe"

libXmx :
	@ Write SYS$Output "--- Building libXmx"
	@ Set Default [.libxmx]
	@ $(MMS)$(MMSQUALIFIERS)
	@ Set Default [-]

libhtmlw :
	@ Write SYS$Output "--- Building libhtmlw"
	@ Set Default [.libhtmlw]
	@ $(MMS)$(MMSQUALIFIERS)
	@ Set Default [-]

libwww2 :
	@ Write SYS$Output "--- Building libwww2"
	@ Set Default [.libwww2]
	@ $(MMS)$(MMSQUALIFIERS)
	@ Set Default [-]

src :
	@ Write SYS$Output "--- Building src"
	@ Set Default [.src]
	@ $(MMS)$(MMSQUALIFIERS)
	@ Set Default [-]

clean :
	@ Write SYS$Output "--- Cleaning tree"
	@ Set Default [.libxmx]
	@ delete *.obj.*, *.olb.*
	@ Set Default [-]
!
	@ Set Default [.libhtmlw]
	@ delete *.obj.*, *.olb.*
	@ Set Default [-]
!	
	@ Set Default [.libwww2]
	@ delete *.obj.*, *.olb.*
	@ Set Default [-]
!
	@ Set Default [.src]
	@ delete *.obj.*
	@ Set Default [-]
