! MMS description file for LIBHTMLW
! Bjorn S. Nilsson, Aleph, CERN, 20-Nov-1993
! (Mosaic version 2.0)
!
! Usage:
!       $ MMS                           for DEC/UCX
!       $ MMS/MACRO=(MULTINET=1)        for Multinet
!       $ MMS/MACRO=(PATHWAY=1)         for Pathway
! Add a DEBUG=1 macro when debugging.
! Add a AXP=1 macro when compiling on AXP platforms.
!
! You may have to use the /IGNORE=WARNING qualifier to make MMS run all
! the way through if you get (acceptable) compilation warnings.
!

CC = cc
LIBTARGET = libhtmlw.olb


.IFDEF PATHWAY
.IFDEF AXP
.INCLUDE [-.TWG]AXP_PREFIX_RULES.MMS
CQUALAXP=/Standard=VAXC $(CC_PREFIX_NO_SIN)
.ELSE
CQUALAXP=
.ENDIF
.ELSE ! Not PATHWAY
.IFDEF MULTINET
.IFDEF AXP
CQUALAXP=/Standard=VAXC/Prefix=ANSI
.ELSE
CQUALAXP=
.ENDIF
CDEFS = /DEFINE=(MOTIF,XMOSAIC,MULTINET)
.ELSE
!UCX
.IFDEF AXP
CQUALAXP=/Standard=VAXC
.ELSE
CQUALAXP=
.ENDIF
CDEFS = /DEFINE=(MOTIF,XMOSAIC)
.ENDIF
.ENDIF

.IFDEF DEBUG
CQUAL = /NoOpt/Debug$(CQUALAXP)
.ELSE
CQUAL = $(CQUALAXP)
.ENDIF

.IFDEF PATHWAY
.FIRST
  @[-.twg]def
.ELSE
.FIRST
  Define Sys SYS$Library
.ENDIF

MODULES =  HTML HTMLlists HTMLformat HTMLparse HTMLimages HTMLwidgets \
 HTML-PSformat HTMLjot

CFILES = $(MODULES:=.c)

OBJECTS = $(CFILES:.c=.obj)

$(LIBTARGET) : $(LIBTARGET)($(MODULES)) $(OBJECTS)
	@ Write SYS$Output "Library libhtmlw.olb built."

.c.obj :
	$(CC)$(CDEFS)$(CQUAL) $*.c

clean :
	Delete/Log *.OBJ;*
	Delete/Log $(LIBTARGET);*

